UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Contributor
Contributor
158 Views
Registered: ‎11-20-2018

petalinux 2015.4 build error !(error 255,2)

Jump to solution

Hi. It is my first time to use petalinux.

I am using ubuntu 17.10 and petalinux 15.4 version.

I followed UG1144 to install petalinux and i made project successfully.

But there were some error during [petalinux-build]

 

I post screen shot of terminal .

Screenshot from 2019-02-12 17-55-39.png

i tried to solve error 255 by following  (https://www.xilinx.com/support/answers/63034.html) ,however it didn't work to me.

 

Please give me solution for error255 and error2.

 

Thanks

0 Kudos
1 Solution

Accepted Solutions
Moderator
Moderator
121 Views
Registered: ‎12-04-2016

Re: petalinux 2015.4 build error !(error 255,2)

Jump to solution

Hi @kangsungsik

Ubuntu 17.x is unsupported to install and build petalinux. If you want to install particularly 2015.4 petalinux, here is the older version of ug1144

https://forums.xilinx.com/t5/Embedded-Linux/Ethernet-PHY-KSZ9031RNX/td-p/819201

 

Best Regards

Shabbir

2 Replies
Moderator
Moderator
122 Views
Registered: ‎12-04-2016

Re: petalinux 2015.4 build error !(error 255,2)

Jump to solution

Hi @kangsungsik

Ubuntu 17.x is unsupported to install and build petalinux. If you want to install particularly 2015.4 petalinux, here is the older version of ug1144

https://forums.xilinx.com/t5/Embedded-Linux/Ethernet-PHY-KSZ9031RNX/td-p/819201

 

Best Regards

Shabbir

Contributor
Contributor
90 Views
Registered: ‎11-20-2018

Re: petalinux 2015.4 build error !(error 255,2)

Jump to solution

Thank you @shabbirk .

I solve a problem !

0 Kudos